FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu User

 
 
LinkBack Thread Tools
 
Old 12-04-2010, 11:49 PM
NoOp
 
Default libqt4 missing in repositories?

Related to the "Problems verify non OSS irtualbox package" thread - :

Given that the Oracle VirtualBox repositories are having difficulties
(again), I downloaded the 64-bit deb:
http://www.virtualbox.org/wiki/Linux_Downloads
<http://download.virtualbox.org/virtualbox/3.2.12/virtualbox-3.2_3.2.12-68302~Ubuntu~maverick_amd64.deb>

and attempted to install:

====
$ sudo dpkg -i *.deb
Selecting previously deselected package virtualbox-3.2.
(Reading database ... 130487 files and directories currently installed.)
Unpacking virtualbox-3.2 (from
virtualbox-3.2_3.2.12-68302~Ubuntu~maverick_amd64.deb) ...
dpkg: dependency problems prevent configuration of virtualbox-3.2:
virtualbox-3.2 depends on libqt4-network (>= 4:4.5.3); however:
Package libqt4-network is not installed.
virtualbox-3.2 depends on libqt4-opengl (>= 4:4.5.3); however:
Package libqt4-opengl is not installed.
virtualbox-3.2 depends on libqtcore4 (>= 4:4.7.0~beta1); however:
Package libqtcore4 is not installed.
virtualbox-3.2 depends on libqtgui4 (>= 4:4.7.0~beta1); however:
Package libqtgui4 is not installed.
dpkg: error processing virtualbox-3.2 (--install):
dependency problems - leaving unconfigured
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for python-support ...
Errors were encountered while processing:
virtualbox-3.2
====

No problem (I thought) I'll just install libqt4 as this indicates that
there are packages available:
<http://packages.ubuntu.com/search?keywords=libqt4&searchon=names&suite=maveri ck&section=all>
http://packages.ubuntu.com/maverick/libqtcore4
etc.

However, when I attempt to find any libqt4 packages via Synaptic or
apt-get there are none to be found. Can anyone else on a 10.10 64-bit
using both the 'Main' or 'US' respostories verify? Thanks.

$ apt-cache search libqt4

will do.




--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 12-05-2010, 12:15 AM
Lucio M Nicolosi
 
Default libqt4 missing in repositories?

On Sat, Dec 4, 2010 at 10:49 PM, NoOp <glgxg@sbcglobal.net> wrote:
> Related to the "Problems verify non OSS irtualbox package" thread - :
>
> Given that the Oracle VirtualBox repositories are having difficulties
> (again), I downloaded the 64-bit deb:
> http://www.virtualbox.org/wiki/Linux_Downloads
> <http://download.virtualbox.org/virtualbox/3.2.12/virtualbox-3.2_3.2.12-68302~Ubuntu~maverick_amd64.deb>
>
> and attempted to install:
>
> ====
> $ sudo dpkg -i *.deb
> Selecting previously deselected package virtualbox-3.2.
> (Reading database ... 130487 files and directories currently installed.)
> Unpacking virtualbox-3.2 (from
> virtualbox-3.2_3.2.12-68302~Ubuntu~maverick_amd64.deb) ...
> dpkg: dependency problems prevent configuration of virtualbox-3.2:
> *virtualbox-3.2 depends on libqt4-network (>= 4:4.5.3); however:
> *Package libqt4-network is not installed.
> *virtualbox-3.2 depends on libqt4-opengl (>= 4:4.5.3); however:
> *Package libqt4-opengl is not installed.
> *virtualbox-3.2 depends on libqtcore4 (>= 4:4.7.0~beta1); however:
> *Package libqtcore4 is not installed.
> *virtualbox-3.2 depends on libqtgui4 (>= 4:4.7.0~beta1); however:
> *Package libqtgui4 is not installed.
> dpkg: error processing virtualbox-3.2 (--install):
> *dependency problems - leaving unconfigured
> Processing triggers for ureadahead ...
> ureadahead will be reprofiled on next reboot
> Processing triggers for desktop-file-utils ...
> Processing triggers for python-gmenu ...
> Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
> Processing triggers for python-support ...
> Errors were encountered while processing:
> *virtualbox-3.2
> ====
>
> No problem (I thought) I'll just install libqt4 as this indicates that
> there are packages available:
> <http://packages.ubuntu.com/search?keywords=libqt4&searchon=names&suite=maveri ck&section=all>
> *http://packages.ubuntu.com/maverick/libqtcore4
> etc.
>
> However, when I attempt to find any libqt4 packages via Synaptic or
> apt-get there are none to be found. Can anyone else on a 10.10 64-bit
> using both the 'Main' or 'US' respostories verify? Thanks.
>
> $ apt-cache search libqt4
>
> will do.

Doesn't it seem regular? (main server)

$ apt-cache search libqt4
libqtwebkit-dev - Web content engine library for Qt - development files
libqt4-ruby - Qt 4 Ruby bindings
libqt4-ruby1.8 - Qt 4 bindings for Ruby
libqt4pas-dev - Development files for Qt4Pas
libqt4pas5 - Qt4 interface bindings
uim-qt - Qt 4.x immodule for uim
libqt4-dbg - Qt 4 library debugging symbols
libqt4-dbus - Qt 4 D-Bus module
libqt4-declarative - Qt 4 Declarative module
libqt4-designer - Qt 4 designer module
libqt4-dev - Qt 4 development files
libqt4-gui - transitional package for Qt 4 GUI runtime libraries
libqt4-help - Qt 4 help module
libqt4-network - Qt 4 network module
libqt4-opengl - Qt 4 OpenGL module
libqt4-opengl-dev - Qt 4 OpenGL library development files
libqt4-qt3support - Qt 3 compatibility library for Qt 4
libqt4-script - Qt 4 script module
libqt4-scripttools - Qt 4 script tools module
libqt4-sql - Qt 4 SQL module
libqt4-sql-mysql - Qt 4 MySQL database driver
libqt4-sql-odbc - Qt 4 ODBC database driver
libqt4-sql-psql - Qt 4 PostgreSQL database driver
libqt4-sql-sqlite - Qt 4 SQLite 3 database driver
libqt4-sql-sqlite2 - Qt 4 SQLite 2 database driver
libqt4-svg - Qt 4 SVG module
libqt4-test - Qt 4 test module
libqt4-webkit-dbg - transitional package for Qt 4 WebKit debugging symbols
libqt4-xml - Qt 4 XML module
libqt4-xmlpatterns - Qt 4 XML patterns module
libqt4-xmlpatterns-dbg - Qt 4 XML patterns library debugging symbols
libqt4-assistant - transitional package for Qt 4 assistant module
libqt4-core - transitional package for Qt 4 core non-GUI runtime libraries
libqt4-declarative-folderlistmodel - Qt 4 folderlistmodel QML plugin
libqt4-declarative-gestures - Qt 4 gestures QML plugin
libqt4-declarative-particles - Qt 4 particles QML plugin
libqt4-sql-tds - Qt 4 FreeTDS database driver
libqt4-webkit - transitional package for Qt 4 WebKit module


--
L M Nicolosi, Eng.
Ubuntu AMD64
GNU-Linux Regist. User #481505 - http://counter.li.org/

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 12-05-2010, 12:21 AM
Lucio M Nicolosi
 
Default libqt4 missing in repositories?

On Sat, Dec 4, 2010 at 10:49 PM, NoOp <glgxg@sbcglobal.net> wrote:
> Related to the "Problems verify non OSS irtualbox package" thread - :
>
> Given that the Oracle VirtualBox repositories are having difficulties
> (again),

And by the way, not any problem accessing VBox repositories right now
or in the last few days.

--
L M Nicolosi, Eng.
Ubuntu AMD64
GNU-Linux Regist. User #481505 - http://counter.li.org/

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 12-05-2010, 04:43 AM
NoOp
 
Default libqt4 missing in repositories?

On 12/04/2010 05:15 PM, Lucio M Nicolosi wrote:
> On Sat, Dec 4, 2010 at 10:49 PM, NoOp <glgxg@sbcglobal.net> wrote:
>> Related to the "Problems verify non OSS irtualbox package" thread - :
>>
>> Given that the Oracle VirtualBox repositories are having difficulties
>> (again), I downloaded the 64-bit deb:
>> http://www.virtualbox.org/wiki/Linux_Downloads
>> <http://download.virtualbox.org/virtualbox/3.2.12/virtualbox-3.2_3.2.12-68302~Ubuntu~maverick_amd64.deb>
>>
>> and attempted to install:
>>
>> ====
>> $ sudo dpkg -i *.deb
>> Selecting previously deselected package virtualbox-3.2.
>> (Reading database ... 130487 files and directories currently installed.)
>> Unpacking virtualbox-3.2 (from
>> virtualbox-3.2_3.2.12-68302~Ubuntu~maverick_amd64.deb) ...
>> dpkg: dependency problems prevent configuration of virtualbox-3.2:
>> virtualbox-3.2 depends on libqt4-network (>= 4:4.5.3); however:
>> Package libqt4-network is not installed.
>> virtualbox-3.2 depends on libqt4-opengl (>= 4:4.5.3); however:
>> Package libqt4-opengl is not installed.
>> virtualbox-3.2 depends on libqtcore4 (>= 4:4.7.0~beta1); however:
>> Package libqtcore4 is not installed.
>> virtualbox-3.2 depends on libqtgui4 (>= 4:4.7.0~beta1); however:
>> Package libqtgui4 is not installed.
>> dpkg: error processing virtualbox-3.2 (--install):
>> dependency problems - leaving unconfigured
>> Processing triggers for ureadahead ...
>> ureadahead will be reprofiled on next reboot
>> Processing triggers for desktop-file-utils ...
>> Processing triggers for python-gmenu ...
>> Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
>> Processing triggers for python-support ...
>> Errors were encountered while processing:
>> virtualbox-3.2
>> ====
>>
>> No problem (I thought) I'll just install libqt4 as this indicates that
>> there are packages available:
>> <http://packages.ubuntu.com/search?keywords=libqt4&searchon=names&suite=maveri ck&section=all>
>> http://packages.ubuntu.com/maverick/libqtcore4
>> etc.
>>
>> However, when I attempt to find any libqt4 packages via Synaptic or
>> apt-get there are none to be found. Can anyone else on a 10.10 64-bit
>> using both the 'Main' or 'US' respostories verify? Thanks.
>>
>> $ apt-cache search libqt4
>>
>> will do.
>
> Doesn't it seem regular? (main server)
>
> $ apt-cache search libqt4
> libqtwebkit-dev - Web content engine library for Qt - development files
...

It's finally showing up for me now - thanks Lucio for checking.

Still having issues with virtualbox-3.2 repo though on maverick. I get:
: Failed to fetch
http://download.virtualbox.org/virtualbox/debian/dists/maverick/Release
Unable to find expected entry non-free/source/Sources in Meta-index
file (malformed Release file?)

I'll check that tomorrow. Thanks again.




--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 12-05-2010, 11:30 AM
Lucio M Nicolosi
 
Default libqt4 missing in repositories?

On Sun, Dec 5, 2010 at 3:43 AM, NoOp <glgxg@sbcglobal.net> wrote:
> It's finally showing up for me now - thanks Lucio for checking.

You are welcome

> Still having issues with virtualbox-3.2 repo though on maverick.

(Perhaps your government, trying to filter out WikiLeaks, ended up
messing with Remix, who knows... :-)

Have a nice week.

--
L M Nicolosi, Eng.
Ubuntu AMD64
GNU-Linux Regist. User #481505 - http://counter.li.org/

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 12-07-2010, 01:59 AM
NoOp
 
Default libqt4 missing in repositories?

On 12/05/2010 04:30 AM, Lucio M Nicolosi wrote:
> On Sun, Dec 5, 2010 at 3:43 AM, NoOp <glgxg@sbcglobal.net> wrote:
>> It's finally showing up for me now - thanks Lucio for checking.
>
> You are welcome
>
>> Still having issues with virtualbox-3.2 repo though on maverick.
>
> (Perhaps your government, trying to filter out WikiLeaks, ended up
> messing with Remix, who knows... :-)
>
> Have a nice week.
>

Perhaps :-)

Ran into another issue (I'll file a bug on Synaptic) that goes back to
the VirtualBox repo. Apparently just adding:

deb http://download.virtualbox.org/virtualbox/debian maverick non-free

in Synaptic automatically adds and additional sources entry even if I do
not have source checked. Now of course, using thePUEL version of
Virtualbox doesn't get you the source. So it appears to be a bug with
Ubuntu Maveric 10.10 Synaptic & I'll file a bug report tomorrow or the next.

Thanks again.



--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 

Thread Tools




All times are GMT. The time now is 05:13 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org